Skip to main content

Update Amenity API

Overview​

Updates an existing Amenity Master record.

  • Endpoint: /api/hotels/amenities/update
  • Method: POST

Request Body Schema​

FieldTypeRequiredDescription
idStringYesAmenity Master ID
nameStringNoAmenity name
codeStringNoAmenity code
categoryEnumNoHOTEL, ROOM, GENERAL
documentIdUUID StringNoID of associated Document metadata
descriptionStringNoDescription
activeBooleanNoActive status

Request Body Example​

{
"id": "a1234567-89ab-cdef-0123-456789abcdef",
"name": "Ultra Fast Wi-Fi",
"category": "HOTEL"
}

Response Example (200 OK)​

{
"success": true,
"data": {
"id": "a1234567-89ab-cdef-0123-456789abcdef",
"name": "Ultra Fast Wi-Fi",
"code": "WIFI_FREE",
"category": "HOTEL",
"active": true
},
"message": "Amenity Master updated successfully"
}